body {
  margin: 0;
  padding: 0;
  font-family: Arial, sans-serif;
  background-color: #2c2c2c;
  height: 100%;
}

.login-container {
  background-color: var(--secondaryBg);
  width: 320px;
  padding: 20px;
  border-radius: 10px;
  box-shadow: 0 0 10px rgba(0, 0, 0, 0.5);
  text-align: center;
  position: absolute;
  /* margin-top: 100px; */
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
}

.login-header h2 {
  color: var(--text);
  font-size: 24px;
  margin-bottom: 20px;
}

.input-group {
  margin-bottom: 20px;
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  position: relative;
}

.input-group input {
  width: calc(100% - 10px);
  padding: 10px;
  border-radius: 20px;
  border: 1px solid var(--bg);
  background-color: var(--bg);
  color: var(--text);
  font-size: 16px;
  outline: none;
  &::before {
    content: "valid";
    width: 100%;
    height: 100%;
  }
}

.input-group input::placeholder {
  color: var(--text);
  font-size: 14px;
}

.login-button {
  width: 150px;
  padding: 10px;
  border-radius: 20px;
  border: none;
  background-color: var(--bg);
  color: var(--text);
  cursor: pointer;
  font-weight: bold;
  font-size: 16px;
}

.login-button:hover {
  background-color: var(--text);
  color: var(--secondaryBg);
}

.links {
  margin-top: 20px;
  font-size: 14px;
}

.links a {
  color: var(--text);
  text-decoration: none;
  display: block;
  margin-top: 10px;
}

.links a:hover {
  text-decoration: underline;
}
input:invalid:not(:placeholder-shown) {
  border: 2.5px solid red;
  color: red;
  font-weight: 900;
}
input:valid:not(:placeholder-shown) {
  border: 2.5px solid green;
  color: green;
  font-weight: 900;
}
.eye {
  position: absolute;
  width: 55px;
  height: 45px;
  display: flex;
  justify-content: center;
  align-items: center;
  cursor: pointer;
  top: 0;
  right: 0;
}
#eye2,
#eye1 {
  position: absolute;
  & svg {
    width: 20px;
    fill: var(--text);
    filter: saturate(100%);
    font-weight: 900;
  }
}
.note {
  padding: 10px;
  font-size: 0.7rem;
  letter-spacing: 0.2cap;
}
.input-group label[for] {
  padding: 3px;
  font-size: 1.2rem;
  position: absolute;
}
